Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Sign up and get started with Confidence today! Create your account
Gets a group by name.
cURL
curl --request GET \ --url https://iam.eu.confidence.dev/v1/groups/{group} \ --header 'Authorization: Bearer <token>'
import requests url = "https://iam.eu.confidence.dev/v1/groups/{group}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://iam.eu.confidence.dev/v1/groups/{group}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://iam.eu.confidence.dev/v1/groups/{group}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://iam.eu.confidence.dev/v1/groups/{group}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://iam.eu.confidence.dev/v1/groups/{group}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://iam.eu.confidence.dev/v1/groups/{group}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "displayName": "<string>", "groupType": "GROUP_TYPE_UNSPECIFIED", "createTime": {}, "updateTime": {}, "creator": "<string>", "updater": "<string>", "identity": "<string>", "name": "<string>", "description": "<string>", "labels": [ {} ], "owner": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Returns a Group.
A group of identities.
Human friendly name of the group.
The type of the group.
GROUP_TYPE_UNSPECIFIED
USER_CREATED
SYSTEM_CREATED
Time when the group was first created.
Time when the group was last updated.
Reference to the identity that created this group.
Reference to the identity that last updated this group.
Reference to the identity this group represents.
The resource name of the group. For example: `groups/1bhq4c2zqigdzqg6ufni/
Optional description of the group.
General labels for this resource.
Show child attributes
The owner of the resource. If not set will default to the creator.
Was this page helpful?
Contact support